# ERPNext for Agriculture

Farmers know that even a small operation requires intensive recordkeeping. A well-run farm requires proper management of accounting, payroll, suppliers, customers and logistics to name a few areas. ERPNext already helps organize these activities.

<img class="screenshot" alt="Land Unit" src="{{docs_base_url}}/assets/img/agriculture/land-unit.png">

### Capture Land Units and Manage Crops

A farm requires additional attention to manage its productive units (plots of land), time sensitive crop activities (such as planting, irrigating, fertilizing, etc.), recording environmental and crop data for analysis, and reports to help make effective decisions.

<img class="screenshot" alt="Soil Texture" src="{{docs_base_url}}/assets/img/agriculture/soil-texture.png">

### ERPNext Agriculture Demo

The Agriculture module in ERPNext helps you keep track of your farming operations. It allows you keep records for each field where you farm, such as geospatial and soil texture characteristics. It allows you to:

* Manage the physical spaces where you plant your crops
* Manage your crops
* Record analysis data
* Plan activities related to your crops
* Record sale of the harvest or transfer to warehouse for further processing
* View reports

To see feature of ERPNext Agriculture in action, check the following demo video.

<div class="embed-container">
    <iframe src="https://www.youtube.com/embed/A14cnWwE0vQ?rel=0" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>
</div>

### Agriculture User Manual

{index}