# Introduction

## What is an ERP and why should I care?

(If you are already convinced you need an all-in-one system for your
organization, you can skip this page.)

If you are running a small business that has a few employees, you understand
that it's hard to manage the dynamic nature of doing businesses. Small businesses
are not so different from large ones. They contain most of the complexities of
a large business along with many other constraints. Small businesses have to
communicate with customers, do accounts, pay taxes, do payroll, manage timelines,
deliver quality goods and services, answer questions, and keep everyone happy, 
just like in large businesses.

Large businesses have the advantage of using advanced data systems to manage
their process efficiently. Small businesses, on the other hand, typically
struggle to keep things organized. They often use a mix of apps like
spreadsheets, accounting software, web CRM etc to manage. The problem is, not
everyone is on the same page. An ERP changes that.

## What is ERPNext?

ERPNext is an end-to-end business solution that helps you to manage all your business information in one application 
and use it to not only manage operations but also enables you to take informed decisions well in time to remain ahead of your competition. It forms a backbone of your business to add strength, transparency and control to your enterprise. 

Among other things, ERPNext will help you to:

  * Track all Invoices and Payments.
  * Know what quantity of which product is available in stock.
  * Identify and track your key performance indicators (KPI's).
  * Identify open customer queries.
  * Manage payroll.
  * Assign tasks and follow up on them.
  * Maintain a database of all your customers, suppliers and their contacts.
  * Prepare quotes.
  * Tracking your budgets and spending
  * Determine effective selling price based on the actual raw material, machinery and effort cost. 
  * Get reminders on maintenance schedules.
  * Publish your website.

And a lot lot lot more.

<div>
  <div class='embed-container'>
    <iframe src='https://www.youtube.com/embed/vKjHRzMEei0' frameborder='0' allowfullscreen>
    </iframe>
  </div>
</div>

### Topics

{index}
