# ERPNext for Services

For a services business, which doesn't have a tangible product to showcase their value, needs to get many things right to stay afloat and grow in the industry. ERPNext helps services company effectively manage business aspects like Projects Management, Customer Support, Sales and Purchase Management to list a few.

<img class="screenshot" alt="Gannt" src="{{docs_base_url}}/assets/img/project/services-hero.png">

### Project Management in ERPNext

ERPNext helps you manage your Projects by breaking them into Tasks and
allocating them to different people.

<img class="screenshot" alt="Project" src="{{docs_base_url}}/assets/img/project/project.png">

Projects can be used to manage internal projects, manufacturing jobs or
service jobs. For service jobs, Time Sheets can also be created that can be used to bill Customers if billing is done on a Time & Money basis.

### Sales, Purchase Management, Customer Support

Purchasing and selling can also be tracked against Projects and this can help the company keep tabs on its budget, delivery and profitability for a Project.

<img class="screenshot" alt="Non Profit" src="{{docs_base_url}}/assets/img/project/support.png">

### Demo on ERPNext for the Service Business

Check the following video to educate yourself on the ERPNext features for services business.

<div>
    <div class='embed-container'>
        <iframe src='https://www.youtube.com/embed/mI8IkiGhaPA' frameborder='0' allowfullscreen>
        </iframe>
    </div>
<div>

### User Manual

A services company needs lots more than projects module to operate efficiently. ERPNext has all of it available built-in.

- You track your books of accounts using [Accounts module](/docs/user/manual/en/accounts.html).
- Manage payroll, leaves and claims of your support staff in the [HR module](/docs/user/manual/en/human-resources.html).
- Attend customer's support queries better with [Support](/docs/user/manual/en/support.html) module of ERPNext.

{index}
