# Adding Users

Users can be added by the System Manager. If you are a System Manager, you can add Users via

> Setup > User

There are two main classes of users: Web Users and System Users. System Users are people using ERPNext in the company. Web users are customers or suppliers (or portal users).
  
Under User a lot of info can be entered. For the sake of usability the information entered for webs users is minimal: First Name and email.
Important is to realize that the email address is the unique key (ID) identifying the Users.

### 1. List of Users

<img class="screenshot" src="{{docs_base_url}}/assets/img/setup/users/user-1.png" alt="User List">


To add a new user, click on "New"

### 2. Add the user details

Add user details such as First Name, Last Name, Email etc.

<img class="screenshot" src="{{docs_base_url}}/assets/img/setup/users/add-user-details.png" alt="Add User Details">

The user's Email will become the user id. Mobile No can also be used to log in if you check the Allow Login using Mobile No checkbox under the Security section in System Settings. While Mobile No will be unique, it will not be treated as a user id.

<img class="screenshot" src="{{docs_base_url}}/assets/img/setup/users/user-login-email.png" alt="Email Login">

<img class="screenshot" src="{{docs_base_url}}/assets/img/setup/users/user-login-mobile.png" alt="Mobile No Login">

After adding these details, save the user.

### 3. Setting Roles

After saving, you will see a list of roles and a checkbox next to it. Just check the roles you want the user to have and save the document. To click on what permissions translate into roles, click on the role
name.

<img class="screenshot" src="{{docs_base_url}}/assets/img/setup/users/user-2.png" alt="User Roles">

### 4. Setting Module Access

Users will have access to all modules for which they have role based access. If you want to block certain modules for certain users, un-check the module from the list.

<img class="screenshot" src="{{docs_base_url}}/assets/img/setup/users/user-3.png" alt="User Block Module">

### 5. Security Settings

If you wish to give the user access to the system only between office hours,
or during weekends, mention it under security settings.

<img class="screenshot" src="{{docs_base_url}}/assets/img/setup/users/user-4.png" alt="User Security">

{next}
