# Projected Quantity

Projected Quantity is the level of stock that is predicted for a particular
Item, based on the current stock levels and other requirements. It is the
quantity of gross inventory that includes supply and demand in the past which
is done as part of the planning process.

The projected inventory is used by the planning system to monitor the reorder
point and to determine the reorder quantity. The projected Quantity is used by
the planning engine to monitor the safety stock levels. These levels are
maintained to serve unexpected demands.

Having a tight control of the projected inventory is crucial to determine
shortages and to calculate the right order quantity.

<img class="screenshot" alt="Projected Quantity" src="{{docs_base_url}}/assets/img/stock/projected_quantity.png">


> Projected Qty = Actual Qty + Planned Qty + Requested Qty + Ordered Qty -
Reserved Qty

  * Actual Qty: Quantity available in the warehouse.
  * Planned Qty: Quantity, for which, Work Order has been raised, but is pending to be manufactured.
  * Requested Qty: Quantity requested for purchase, but not ordered.
  * Ordered Qty: Quantity ordered for purchase, but not received.
  * Reserved Qty: Quantity ordered for sale, but not delivered.

{next}
