# Add Products To Website

### Add Products to the Website

ERPNext will populate your website with products out of your Item Master. The html code will be
generated automatically.

<div class="embed-container">
    <iframe src="https://www.youtube.com/embed/W31LBBNzbgc?rel=0" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen>
    </iframe>
</div>

#### Step 1: Edit Item

For this example we will add a rocking chair to our catalog to sell on our website.

To edit a catalog item go to: `Stock > Items and Pricing > Item`.  From there select an item to add to website or create a new item by clicking the **New** button in the upper right.

For this example, click on the **New** button to create a new item.  Fill in the form and then click **Save**.

![New Website Item 01]({{docs_base_url}}/assets/img/articles/new-item-for-website-01.png)

#### Step 2: Save Image

1. Click the new item from the list to edit it.
1. In the upper left, click the image block to give the product a picture. Be sure to uncheck the **Private** box so the image will be publicly viewable.

![New Website Item 02]({{docs_base_url}}/assets/img/articles/new-item-for-website-02.png)  

#### Step 3: Check the 'Show in Website' box

Under the Website section near the bottom of the form, check the box that says **Show in Website**. Once the box is checked, the page will display other fields for entering information.

* Give the page a route on the website.

![New Website Item 03]({{docs_base_url}}/assets/img/articles/new-item-for-website-03.png)    

#### Step 4: Enter Website Details

Once the `Show in Website` checkbox is checked, a new section called **Website Specifications** appears. Expand this section to add more details about the rocking chair to the website.

![New Website Item 04]({{docs_base_url}}/assets/img/articles/new-item-for-website-04.png)

Click **Save** in the upper right and then click `See on Website` on the left under the product image to see the item on your website.

![New Website Item 05]({{docs_base_url}}/assets/img/articles/new-item-for-website-05.png)

### Item Groups

Items can be grouped together in items groups.  To see a listing of the existing item groups to go: `Stock > Items and Pricing > Item Group`. Out of the box, ERPNext comes with a collection of item groups that you can use. Click `Products` to select it and then click `Edit` to open it up.

* Click the **Show in Website** check box.
* Change the route to `products`.
* Fill in a description for your products page.
* Click **Save**.

![New Website Item 06]({{docs_base_url}}/assets/img/articles/new-item-for-website-06.png)

* Go back to the rocking chair item, expand the **website** section.
* Click **Add new row** button under the `Item Group` table.
* Select `Products` from the list.
* Click **Save**. 

![New Website Item 07]({{docs_base_url}}/assets/img/articles/new-item-for-website-07.png)

To see on the website, go back to the `Item Group` and then click **See on website**.

![New Website Item 08]({{docs_base_url}}/assets/img/articles/new-item-for-website-08.png)

{next}
